Gradle 5.0 Milestone 1 发布,项目自动化构建工具

达尔文
 达尔文
发布于 2018年10月05日
收藏 7

Gradle 5.0 首个里程碑版本 Milestone 1 发布了,并带来了不少优秀的新功能和改进。

首先,Gradle Kotlin DSL 1.0 现已发布,并可用于生成环境。使用 Kotlin 编写构建逻辑可在 IDE 中提供重要的额外编辑帮助,包括改进的自动完成、高亮显示错误信息和重构工具。如果你更喜欢 Groovy 的灵活性和动态性,可以使用 Groovy DSL,官方表示它不会被遗弃。

在 5.0 M1 中,我们可以指定任务的超时持续时间,之后它将会被中断。点此阅读更多相关信息

这个版本的 Gradle 还为依赖引入了版本对齐( dependency version alignment)。这允许属于同一逻辑组(平台)的不同模块在依赖图中具有相同的版本。可以导入 Maven BOM 以定义平台。

dependencies {
    // import a BOM. The versions used in this file will override any other version found in the graph
    implementation(dependencies.enforcedPlatform("org.springframework.boot:spring-boot-dependencies:1.5.8.RELEASE"))
     // define dependencies without versions
    implementation("com.google.code.gson:gson")
    implementation("dom4j:dom4j")
     // this version will be overriden by the one found in the BOM
    implementation("org.codehaus.groovy:groovy:1.8.6")
}

此外,5.0 M1 已对 gradle init 功能进行了升级:现在具有可选择性的互操作,包括新的 kotlin-library 和 kotlin-application 项目类型,提供配置项目和包名称的选项等。


interactive gradle init

该版本为插件和自定义任务作者引入了有用的更改,包括用于创建 SourceDirectorySet 的 API,对 Provider API 的改进以及改进的构建缓存兼容性。

最后,因为这是 Gradle 新的主要版本,所以在 Gradle 4.x 版本中被弃用的许多内容都已被删除。例如,运行 Gradle 现在需要 Java 8 或更高版本(尽管可以使用 Java 6 或 7 运行测试)。建议:

  • 阅读从 Gradle 4.x 升级到 5.0 的文档

  • 升级到 Gradle 4.10.2

  • 运行 gradle help --scan 并查看"Deprecations"视图

  • 也可以使用 gradle help --warning-mode = all,但这可能不会报告详细信息

查找并修复所有已弃用的构建逻辑。

详情请查看 https://github.com/gradle/gradle/releases/tag/v5.0.0-M1

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Gradle 5.0 Milestone 1 发布,项目自动化构建工具
加载中

最新评论(3

Moodys
Moodys
Kotlin DSL 成功上位了?
郭大鹏
郭大鹏
歪果仁还喜欢大象……
如梦技术
如梦技术
init 这个很棒,要是再能扩展一些模板就好了
返回顶部
顶部